Component({
  props: {
    componentData: {}
  },
  data: {
    navHeight: '100vh'
  },

  didMount() {},

  methods: {
    onCallback({
      height
    }) {
      this.setData({
        navHeight: `calc(100vh - ${height}px - 0.12rem)`
      });
    }

  }
});